summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorluke <luke@980ebf18-57e1-0310-9a29-db15c13687c0>2006-06-27 05:53:08 +0000
committerluke <luke@980ebf18-57e1-0310-9a29-db15c13687c0>2006-06-27 05:53:08 +0000
commit08f113c6ccfb0bc3db4c717df575b1219a46603a (patch)
treeeb920ae60b4638a9a311be3694cf19fbfe239bc3
parentbdd1761c561ed80003a62068157c4aaf32c83a73 (diff)
downloadpuppet-08f113c6ccfb0bc3db4c717df575b1219a46603a.tar.gz
puppet-08f113c6ccfb0bc3db4c717df575b1219a46603a.tar.xz
puppet-08f113c6ccfb0bc3db4c717df575b1219a46603a.zip
switching puts to print, so the carriage returns are always included in the messages
git-svn-id: https://reductivelabs.com/svn/puppet/trunk@1316 980ebf18-57e1-0310-9a29-db15c13687c0
-rwxr-xr-xbin/puppetrun10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/puppetrun b/bin/puppetrun
index 6ff56e98a..e2d84a784 100755
--- a/bin/puppetrun
+++ b/bin/puppetrun
@@ -331,19 +331,19 @@ while go
out = %x{ping -c 1 #{host}}
unless $? == 0
- $stderr.puts "Could not contact %s" % host
- exit(4)
+ $stderr.print "Could not contact %s\n" % host
+ next
end
client = Puppet::Client::Runner.new(
:Server => host,
:Port => Puppet[:puppetport]
)
- puts "Triggering %s" % host
+ print "Triggering %s\n" % host
begin
client.run(tags, options[:ignoreschedules], options[:foreground])
rescue => detail
- $stderr.puts "Host %s failed: %s" % [host, detail]
+ $stderr.print "Host %s failed: %s\n" % [host, detail]
exit(2)
end
end
@@ -360,7 +360,7 @@ while go
if $?.exitstatus != 0
failures << host
end
- puts "%s finished with exit code %s" % [host, $?.exitstatus]
+ print "%s finished with exit code %s\n" % [host, $?.exitstatus]
else
$stderr.puts "Could not find host for PID %s with status %s" %
[pid, $?.exitstatus]